Get endpoint access key
curl --request GET \
--url https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"metadata": {
"id": "4c1de9c4-8d6c-4b32-8413-42e0b070d5d4",
"name": "bucket-admin-key",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2024-05-31T14:11:00Z",
"createdBy": "john.doe@acme.com",
"provisioningStatus": "provisioned",
"healthStatus": "healthy"
},
"spec": {
"identityPolicy": "bucket-admin",
"accessKeyId": "AKIAIOSFODNN7EXAMPLE"
}
}{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Object storage
Get endpoint access key
Returns the specified access key associated with the specified object storage endpoint. The response includes the access key identifier and identity policy name, but never the secret.
GET
/
api
/
v1
/
objectstorageendpoints
/
{objectStorageEndpointID}
/
accesskeys
/
{objectStorageAccessKeyID}
Get endpoint access key
curl --request GET \
--url https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://storage.nks.europe-west4.nscale.com/api/v1/objectstorageendpoints/{objectStorageEndpointID}/accesskeys/{objectStorageAccessKeyID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"metadata": {
"id": "4c1de9c4-8d6c-4b32-8413-42e0b070d5d4",
"name": "bucket-admin-key",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2024-05-31T14:11:00Z",
"createdBy": "john.doe@acme.com",
"provisioningStatus": "provisioned",
"healthStatus": "healthy"
},
"spec": {
"identityPolicy": "bucket-admin",
"accessKeyId": "AKIAIOSFODNN7EXAMPLE"
}
}{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Authorizations
Path Parameters
Response
An object storage access key for an object storage endpoint.
Was this page helpful?